Index: tests/GuiChecks/Parser/Psi3/testsuite-parser-psi3-load.at
===================================================================
--- tests/GuiChecks/Parser/Psi3/testsuite-parser-psi3-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Psi3/testsuite-parser-psi3-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,107 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing psi3
+
+AT_SETUP([Parser - loading psi3 file])
+AT_KEYWORDS([parser load psi3])
+
+file=testrhf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+file=testrohf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+file=testuhf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+file=testtwocon.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading psi3 file with Undo])
+AT_KEYWORDS([parser load psi3 undo])
+
+file=testrhf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/post/empty.psi], 0, [ignore], [ignore])
+
+file=testrohf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/post/empty.psi], 0, [ignore], [ignore])
+
+file=testuhf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/post/empty.psi], 0, [ignore], [ignore])
+
+file=testtwocon.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/post/empty.psi], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading psi3 file with Redo])
+AT_KEYWORDS([parser load psi3 redo])
+
+file=testrhf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --redo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+file=testrohf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --redo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+file=testuhf.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --redo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+file=testtwocon.psi
+AT_CHECK([../../molecuilder --dry-run -i $file -o psi3 -l ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file --undo --redo --no-dry-run --store-session session-parser-psi3-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-psi3-load.py >session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-psi3-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Psi3/pre/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
